Bug 104501 - CAN-2003-0780 MySQL password field buffer overflow
Summary: CAN-2003-0780 MySQL password field buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mysql   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-16 14:49 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 08:53:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:282 normal SHIPPED_LIVE Important: mysql security update 2003-10-09 04:00:00 UTC

Description Mark J. Cox 2003-09-16 14:49:19 UTC
Frank Denis reported a bug in unpatched versions of MySQL versions prior to
3.0.58. Passwords of MySQL users are stored in the Password field of the
user table, part of the mysql database. By filling a Password field with a
value wider than 16 characters, a buffer overflow can occur. This could
allow an attacker who has the ability to modify the user table to execute
arbitrary code as the MySQL user. The Common Vulnerabilities and Exposures
project (cve.mitre.org) has assigned the name CAN-2003-0780 to this issue.

Comment 1 Patrick Macdonald 2003-09-16 14:55:38 UTC
We will address this by moving to MySQL 3.23.58 (released yesterday).

Comment 2 Mark J. Cox 2003-09-22 08:57:13 UTC
RHSA-2003:282 in progress

Comment 3 Mark J. Cox 2003-10-09 08:53:07 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-282.html



Note You need to log in before you can comment on or make changes to this bug.